﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Animation;

namespace NoXamlApp
{
    public class App : Application
    {
        public App()
        {
            ContentControl root = new ContentControl();
            RootVisual = root;

            Button btn = new Button();
            btn.Content = "Click me!";
            btn.FontSize = 96;
            btn.Margin = new Thickness(192);
            btn.RenderTransformOrigin = new Point(0.5, 0.5);
            root.Content = btn;

            RotateTransform rotate = new RotateTransform();
            btn.RenderTransform = rotate;

            DoubleAnimation anima = new DoubleAnimation();
            anima.From = 0;
            anima.To = 360;
            anima.Duration = 
                new Duration(TimeSpan.FromSeconds(0.25));
            Storyboard.SetTarget(anima, rotate);
            Storyboard.SetTargetProperty(anima, 
                new PropertyPath(RotateTransform.AngleProperty));

            Storyboard storyboard = new Storyboard();
            storyboard.Children.Add(anima);

            btn.Click += delegate
            {
                storyboard.Begin();
            };
        }
    }
}
